// Copyright 1994 by Jon Dart.  All Rights Reserved.

#ifndef _CONSTANT_H
#define _CONSTANT_H

class Constants
{

public:	

enum {PawnValue = 64};
enum {MaxPly = 20};
enum {BIG = 10000 };
#ifdef WIN32
// no pesky 640k limit
enum {Hash_Size = 4091};
enum {Max_Hash_Table_Entries = 65536 };
#else
enum {Hash_Size = 997 };
enum {Max_Hash_Table_Entries = 4096 };
#endif
enum { MAX_HINT_MOVES = 8 };
enum {Initial_Search_Window = 100 };
enum {Contempt=-500};

};

#define Version "2.1"

#endif
