
RELDIR=WinRel
DATADIR=..\data
SRCDIR=..\src
MISCDIR=..\misc
TOOLSDIR=TOOLSREL

$(RELDIR)\book32.dll: $(RELDIR)\dllentry.obj $(SRCDIR)\book.def $(RELDIR)\book32.res $(DATADIR)\bookb $(DATADIR)\bookw
	LINK /MACHINE:I386 /NOENTRY /DLL /OUT:$(RELDIR)\book32.dll /DEF:$(SRCDIR)\book32.def $(RELDIR)\dllentry.obj $(RELDIR)\book32.res 

$(RELDIR)\dllentry.obj: $(SRCDIR)\dllentry.c
	CL /Gs /c /W3 /O /D"WIN32" /D"_WINDOWS" /D"_WINDLL" /Fo$(RELDIR)\dllentry.obj $(SRCDIR)\dllentry.c

$(RELDIR)\book32.res: $(SRCDIR)\book.rc $(DATADIR)\bookb $(DATADIR)\bookw
	RC -r -I..\data /fo$(RELDIR)\book32.res $(SRCDIR)\book.rc

$(DATADIR)\bookb: $(MISCDIR)\book.txt
	$(TOOLSDIR)\makebook $(MISCDIR)\book.txt
	del $(DATADIR)\bookb
	del $(DATADIR)\bookw
	move bookb $(DATADIR)
	move bookw $(DATADIR)
	copy WinRel\book32.dll WinDebug


clean:
	del $(DATADIR)\bookb
	del $(DATADIR)\bookw
	del $(RELDIR)\dllentry.obj
	del $(RELDIR)\book32.exp
	del $(RELDIR)\book32.lib

